Bug 1779335 - Crashes immediately on startup
Summary: Crashes immediately on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quiterss
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-03 19:03 UTC by Daniel Berrangé
Modified: 2020-02-08 02:00 UTC (History)
2 users (show)

Fixed In Version: quiterss-0.19.2-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-08 02:00:41 UTC
Type: Bug


Attachments (Terms of Use)
Stack trace of the crash (4.50 KB, text/plain)
2019-12-03 19:04 UTC, Daniel Berrangé
no flags Details
Set env to force x11 mode on startup (688 bytes, patch)
2019-12-04 09:47 UTC, Daniel Berrangé
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Github QuiteRSS quiterss issues 1112 'None' closed Under a GNOME/Wayland session, QuiteRSS cannot start with Qt 5.11 2020-01-29 08:33:59 UTC

Description Daniel Berrangé 2019-12-03 19:03:08 UTC
Description of problem:

$ quiterss
Segmentation fault (core dumped)


In case its relevant, I'm using GNOME desktop when running

Version-Release number of selected component (if applicable):
quiterss-0.19.0-1.fc31.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Run quiterss
2.
3.

Actual results:
Crash

Expected results:


Additional info:

Comment 1 Daniel Berrangé 2019-12-03 19:04:27 UTC
Created attachment 1641774 [details]
Stack trace of the crash

Comment 2 Christian Stadelmann 2019-12-04 00:11:01 UTC
Workaround: Force quiterss to run it under X11 (not Wayland) by executing `QT_QPA_PLATFORM=xcb quiterss`.

I've reported this issue a while ago in bug #1630184 and upstream on https://github.com/QuiteRSS/quiterss/issues/1112.

Comment 3 Daniel Berrangé 2019-12-04 09:47:41 UTC
Created attachment 1641965 [details]
Set env to force x11 mode on startup

Thanks for the tip, here's a crude hack to call setenv() in main() to force X11 so people don't continue to suffer from this brokenness out of the box.

Comment 4 Christian Stadelmann 2020-01-13 11:27:23 UTC
Upstream has another (different) workaround which will land in quiterss 0.19.3 or later.

Comment 5 Fedora Update System 2020-01-29 09:43:26 UTC
FEDORA-2020-d6eeeb4abd has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d6eeeb4abd

Comment 6 Fedora Update System 2020-01-29 11:27:25 UTC
FEDORA-2020-06a00afcaf has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-06a00afcaf

Comment 7 Fedora Update System 2020-01-31 01:29:43 UTC
quiterss-0.19.2-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-06a00afcaf

Comment 8 Fedora Update System 2020-02-08 02:00:41 UTC
quiterss-0.19.2-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.